import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  Creates a channel to receive content.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-mediapackagev2-channel.html">the AWS Docs</a>
*/
export function channel(channelProps = {}) {
    return new AwsResource('AWS::MediaPackageV2::Channel', channelProps, { ModifiedAt: 'ModifiedAt', IngestEndpoints: 'IngestEndpoints', CreatedAt: 'CreatedAt', Arn: 'Arn' });
}
